cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yoshikazu Nojima" <m...@ynojima.net>
Subject Review Request 20497: CLOUDSTACK-6457: java6 is installed instead of java7 by yum dependancy resolution
Date Fri, 18 Apr 2014 19:54:55 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/20497/
-----------------------------------------------------------

Review request for cloudstack.


Bugs: CLOUDSTACK-6457
    https://issues.apache.org/jira/browse/CLOUDSTACK-6457


Repository: cloudstack-git


Description
-------

java6 is installed instead of java7 by yum dependancy resolution.

    This is because openjdk has an epoch in addition to version. This would mean that version
'>= 1.7.0' is satisfied by version 1:1.6.0
    See: http://erikos.buchoase.de/2009/01/26/rpm-epoch-field/

http://markmail.org/message/cer2dqk4ggd7iuyx


Diffs
-----

  packaging/centos63/cloud.spec 83c598b 

Diff: https://reviews.apache.org/r/20497/diff/


Testing
-------

I installed cloudstack-agent by yum command.
I Confirmed that java-1.7.0-openjdk was installed and cloudstack-agent works.


Thanks,

Yoshikazu Nojima


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message